Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicListUI.ListDataHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicListUI.ListDataHandler

All Implemented Interfaces:
  EventListener, ListDataListener

Enclosing class:
  BasicListUI

public class BasicListUI.ListDataHandler
extends Object
implements ListDataListener

The ListDataListener that's added to the JLists model at installUI time, and whenever the JList.model property changes.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `JList.getModel()`, `BasicListUI.maybeUpdateLayoutState()`, `BasicListUI.createListDataListener()`, `BasicListUI.installUI(javax.swing.JComponent)`

Constructor Summary
`BasicListUI.ListDataHandler()`

Method Summary
`void` | `contentsChanged(ListDataEvent e)` Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
`void` | `intervalAdded(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been inserted in the data model.
`void` | `intervalRemoved(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been removed from the data model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicListUI.ListDataHandler

    public BasicListUI.ListDataHandler()

Method Detail

### intervalAdded

    public void intervalAdded(ListDataEvent e)

  Description copied from interface: `ListDataListener`
  Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.
  Specified by:
    `intervalAdded` in interface `ListDataListener`
  Following copied from interface: `javax.swing.event.ListDataListener`
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

  Description copied from interface: `ListDataListener`
  Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.
  Specified by:
    `intervalRemoved` in interface `ListDataListener`
  Following copied from interface: `javax.swing.event.ListDataListener`
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

### contentsChanged

    public void contentsChanged(ListDataEvent e)

  Description copied from interface: `ListDataListener`
  Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. Index0 and index1 bracket the change.
  Specified by:
    `contentsChanged` in interface `ListDataListener`
  Following copied from interface: `javax.swing.event.ListDataListener`
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.